/**
 * An error to be used when a resource or element is malformed
 */
export class MalformedError extends Error {
  public constructor(message?: string) {
    super(message ? message : 'Malformed')
    this.name = 'MalformedError'
    Object.setPrototypeOf(this, MalformedError.prototype)
  }
}
