import { Reference } from 'fhir'

/**
 * A typeguard that checks if an argument is a Reference
 * @param { any } arg The argument to check
 */
export const isReference = (arg: any): arg is Reference =>
  arg.reference || arg.identifier
