/// <reference types="fhir" />
declare const _default: {
    planDefinitionToCarePlan: (pd: import("fhir").PlanDefinition, cp: import("fhir").CarePlan) => import("fhir").CarePlan;
    actionToActivity: (action: import("fhir").PlanDefinitionAction, carePlan: import("fhir").CarePlan) => import("fhir").CarePlan;
    extractThresholdSetsFromCarePlan: (carePlan: import("fhir").CarePlan) => import("fhir").Basic[];
    _createTask: (reference: string) => import("fhir").Task;
    _handleIdConflicts: (resource: import("fhir").Resource, carePlan: import("fhir").CarePlan) => import("fhir").Resource;
    _createActivity: (taskId: string | undefined) => import("fhir").CarePlanActivity;
    _copyThresholdSetsToCarePlan: (pd: import("fhir").PlanDefinition, cp: import("fhir").CarePlan) => import("fhir").CarePlan;
    _generateRandomFourCharString: () => string;
    _generateIsoDate: () => string;
};
export default _default;
